Tp::BaseConnectionContactsInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::BaseConnectionContactsInterface Class Reference
Connection manager service implementation

Base class for implementations of Connection.Interface.Contacts. More...

`#include <TelepathyQt/BaseConnection>`

Inherits Tp::AbstractConnectionInterface.

## Public Types
typedef Callback3 < ContactAttributesMap, const Tp::UIntList &, const QStringList &, DBusError * > | GetContactAttributesCallback

## Public Member Functions
virtual | ~BaseConnectionContactsInterface ()
QVariantMap | immutableProperties () const
void | setGetContactAttributesCallback (const GetContactAttributesCallback &cb)
ContactAttributesMap | getContactAttributes (const Tp::UIntList &handles, const QStringList &interfaces, DBusError *error)
void | setContactAttributeInterfaces (const QStringList &contactAttributeInterfaces)
Public Member Functions inherited from Tp::AbstractConnectionInterface
| AbstractConnectionInterface (const QString &interfaceName)
virtual | ~AbstractConnectionInterface ()
Public Member Functions inherited from Tp::AbstractDBusServiceInterface
| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Static Public Member Functions
static BaseConnectionContactsInterfacePtr | create ()
template<typename BaseConnectionContactsInterfaceSubclass >
static SharedPtr < BaseConnectionContactsInterfaceSubclass > | create ()

## Protected Member Functions
| BaseConnectionContactsInterface ()
Protected Member Functions inherited from Tp::AbstractDBusServiceInterface
virtual bool | registerInterface (DBusObject *dbusObject)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)

## Additional Inherited Members
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Detailed Description

Base class for implementations of Connection.Interface.Contacts.

## Member Typedef Documentation

typedef Callback3<ContactAttributesMap, const Tp::UIntList&, const QStringList&, DBusError*> Tp::BaseConnectionContactsInterface::GetContactAttributesCallback

## Constructor & Destructor Documentation

Tp::BaseConnectionContactsInterface::~BaseConnectionContactsInterface | ( |  | ) |
| virtual

Class destructor.

Tp::BaseConnectionContactsInterface::BaseConnectionContactsInterface | ( |  | ) |
| protected

Class constructor.

## Member Function Documentation

static BaseConnectionContactsInterfacePtr Tp::BaseConnectionContactsInterface::create | ( |  | ) |
| inlinestatic

template<typename BaseConnectionContactsInterfaceSubclass >

static SharedPtr<BaseConnectionContactsInterfaceSubclass> Tp::BaseConnectionContactsInterface::create | ( |  | ) |
| inlinestatic

QVariantMap Tp::BaseConnectionContactsInterface::immutableProperties | ( |  | ) | const
| virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implements Tp::AbstractDBusServiceInterface.

void Tp::BaseConnectionContactsInterface::setGetContactAttributesCallback | ( | const GetContactAttributesCallback & | cb | ) |

ContactAttributesMap Tp::BaseConnectionContactsInterface::getContactAttributes | ( | const Tp::UIntList & | handles,
|  | const QStringList & | interfaces,
|  | DBusError * | error
| ) |  |

void Tp::BaseConnectionContactsInterface::setContactAttributeInterfaces | ( | const QStringList & | contactAttributeInterfaces | ) |